PARTED(8)

NOME
parted - un programma per la manipolazione delle partizioni

SINTASSI
parted [opzioni] [dispositivo [comando [opzioni ...] ...]]

DESCRIZIONE
parted è un programma per manipolare le partizioni del disco. Supporta molti formati di tabella delle partizioni, compresi MS-DOS e GPT. È utile per creare spazio per nuovi sistemi operativi, riorganizzare l'uso del disco e copiare dati su nuovi dischi rigidi.

Questa pagina di manuale documenta parted brevemente. La documentazione completa è distribuita con il pacchetto in formato GNU Info.

OPZIONI

-h, --help
    visualizza un messaggio di aiuto

-l, --list
    elenca lo schema delle partizioni di tutti i dispositivi a blocchi

-m, --machine
    visualizza un'output interpretabile dalla macchina

-j, --json
    displays JSON output

-s, --script
    non richiede mai l'intervento dell'utente

-f, --fix
    automaticamente risponte "fix" alle eccezioni in modalità script

-v, --version
    visualizza la versione

-a tipo-allineamento, --align tipo-allineamento
    Imposta l'allineamento per le partizioni appena create, tipi di argomenti validi sono:

    none
        Usa l'allineamento minimo consentito dal tipo di disco.

    cylinder
        Allinea le partizioni ai cilindri.

    minimal
        Usa l'allineamento minimo, come dato dalle informazioni della topologia del disco. Questo e il valore opt utilizzerà le informazioni di layout fornite dal disco per allineare gli indirizzi della tabella delle partizioni logiche ai reali blocchi fisici sui dischi. Il valore minimo è il più piccolo allineamento necessario per allineare correttamente la partizione ai blocchi fisici, che eviti il degrado delle prestazioni.

    optimal
        Utilizza un allineamento ottimale come dato dalle informazioni della topologia del disco. Questo allinea a un multiplo della dimensione fisica del blocco in modo da garantire prestazioni ottimali.

COMANDI

[dispositivo]
    Il dispositivo di blocco da utilizzare. Quando non ne viene indicato nessuno, parted utilizzerà il primo dispositivo a blocchi che trova.

[comando [opzioni]]
    Specificare il comando da eseguire. Se non viene fornito alcun comando, parted mostrerà un prompt per scrivere il comando. I comandi possibili sono:

    help [comando]
        Stampa un aiuto generale, o l'aiuto del comando se specificato.

    align-check tipo partizione
        Controlla se partizione soddisfa i vincoli di allineamento di tipo. tipo deve essere "minimal" o "optimal".

    mklabel tipo-tabella
        Crea una nuova tabella delle partizioni (disklabel) di tipo-tabella specificato. tipo-tabella dovrebbe essere una tra "aix", "amiga", "bsd", "dvh", "gpt", "loop", "mac", "msdos", "pc98" o "sun".

    mkpart [tipo-partizione nome tipo-fs] inizio fine
        Crea una nuova partizione. Può essere specificato tipo-partizione solo con tabelle delle partizioni msdos e dvh, dovrebbe essere una tra "primary" (primaria), "logical" (logica), o "extended" (estesa). nome è richiesto per le tabelle delle partizioni GPT, e tipo-fs è opzionale. tipo-fs può essere uno tra "btrfs", "ext2", "ext3", "ext4", "fat16", "fat32", "hfs", "hfs+", "linux-swap", "ntfs", "reiserfs", "udf", o "xfs".

    name partizione nome
        Imposta il nome della partizione a nome. Questa opzione funziona solo su tabelle delle partizioni di tipo Mac, PC98 e GPT. Il nome può essere messo tra virgolette, se necessario. E a seconda della shell può renderesi necessario che siano anche delimitate da apici songoli in modo che la shell non rimuova le virgolette.

    print print-type
        Display the partition table. print-type is optional, and can be one of devices, free, list, or all.

    quit
        Uscita di parted.

    rescue inizio fine
        Recupera una partizione perduta che era allocata da qualche parte tra inizio e fine. Se viene trovata una partizione, parted chiederà se si desidera creare una voce per questa nella tabella delle partizioni.

    resizepart partizione fine
        Cambia la posizione di fine della partizione. Notare che questo non modifica nessun filesystem presente nella partizione.

    rm partizione
        Cancella partizione.

    select dispositivo
        Sceglie dispositivo come dispositivo corrente da editare. dispositivo di solito dovrebbe essere un disco rigido Linux, ma può essere una partizione, dispositivo RAID software, o un volume logico LVM se necessario.

    set partizione flag stato
        Change the state of the flag on partition to state. Supported flags are: "boot", "root", "swap", "hidden", "raid", "lvm", "lba", "legacy_boot", "irst", "msftres", "esp", "chromeos_kernel", "bls_boot", "linux-home", "bios_grub", and "palo". state should be either "on" or "off".

    unit unità
        Set unit as the unit to use when displaying locations and sizes, and for interpreting those given by the user when not suffixed with an explicit unit. unit can be one of "s" (sectors), "B" (bytes), "kB", "MB", "KiB", "MiB", "GB", "GiB", "TB", "TiB", "%" (percentage of device size), "cyl" (cylinders), "chs" (cylinders, heads, sectors), or "compact" (megabytes for input, and a human-friendly form for output).

    toggle partizione flag
        Commuta lo stato del flag sulla partizione.

    disk_set flag stato
        Change a flag on the disk to state. A flag can be either "on" or "off". Some or all of these flags will be available, depending on what disk label you are using. Supported flags are: "pmbr_boot" on GPT to enable the boot flag on the GPT's protective MBR partition.

    disk_toggle flag
        Toggle the state of the disk flag.

    version
        Mostra informazioni sulla versione e un messaggio di copyright.

SEGNALAZIONE BUG
Segnalare i bug a <bug-parted@gnu.org>

VEDERE ANCHE
fdisk(8), mkfs(8), Il programma parted è interamente documentato nel manuale in formato info(1) GNU partitioning software, distribuito con il pacchetto Debian parted-doc.

AUTORE
Questa pagina di manuale è stata scritta da Timshel Knoll <timshel@debian.org>, per sistemi Debian GNU/Linux (ma può essere utilizzato da altri).

TRADUZIONE
La traduzione italiana di questa pagina di manuale è stata creata da Valerio Dodet <dodetvalerio@tiscali.it> e Marco Curreli <marcocurreli@tiscali.it>

Questa traduzione è documentazione libera; leggere la GNU General Public License Versione 3 (https://www.gnu.org/licenses/gpl-3.0.html) o successiva per le condizioni di copyright. Non ci assumiamo alcuna responsabilità.

Per segnalare errori nella traduzione di questa pagina di manuale inviare un messaggio a pluto-ildp@lists.pluto.it.